<?php 
namespace Teknisa\MAN\Controllers\DataExporterImpl\ReportHandlers;

use Zeedhi\Framework\DTO\Response;

class DescontosConcedidosReportHandler extends AReportHandler {
    const RELATORIO = 'vnd55007_relDescConcedidosExport';
    
    public function buildNewRequest($request, Response $response) {
        $conditions = $this->relService->getParamsAsArray($request);
            
        $this->relService->setTCDandCDChangingKey($conditions,     'CDFILIAL',  'CDFILIAL');
        $this->relService->setIntervalAsDTINIandDTFIM($conditions, 'DTENTRVENDA', 'DTINI', 'DTFIM');
        unset($conditions['NRORG']);
        
        $newRequest = $this->relService->createNewZeedhiFilterRequestObject($request, self::RELATORIO, $conditions);
        
        return [$newRequest, $response];
    }
}