<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\MAN\Services\RelDesistenciaProdutoService;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelImpostoPorProdutoPorEmissao {
    
    protected $util;

    public function __construct (Utilities\Util $util, $RelImpostoPorProdutoPorEmissaoService){
        $this->utilService = $util;
        $this->RelImpostoPorProdutoPorEmissaoService = $RelImpostoPorProdutoPorEmissaoService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        set_time_limit(120);
        $conditions = $this->utilService->getParamsAsArray($request);
        $conditions = $this->RelImpostoPorProdutoPorEmissaoService->buildParams($conditions);
        $result = $this->RelImpostoPorProdutoPorEmissaoService->find($conditions);
        $response->addDataSet(new DataSet("vnd41305_relImpostoPorProdutoPorEmissao", $result));
        
        return $response;
    }
    
}
